My Project: dynamics.mod/NewtonDynamics/source/core/dgIntersections.cpp File Reference

My Project

Classes | Macros | Functions
dgIntersections.cpp File Reference
`#include "dgStdafx.h"`
`#include "dgMemory.h"`
`#include "dgVector.h"`
`#include "dgPlane.h"`
`#include "dgGoogol.h"`
`#include "dgIntersections.h"`

## Classes

class | dgSweepSphereToPolygon

## Macros

#define | USE_FLOAT_VERSION
#define | DG_RAY_TOL_ERROR (dgFloat32 (-1.0e-3f))
#define | DG_RAY_TOL_ADAPTIVE_ERROR (dgFloat32 (1.0e-1f))

## Functions

bool dgApi | dgRayBoxClip (dgVector &p0, dgVector &p1, const dgVector &boxP0, const dgVector &boxP1)
dgVector dgApi | dgPointToRayDistance (const dgVector &point, const dgVector &ray_p0, const dgVector &ray_p1)
void dgApi | dgRayToRayDistance (const dgVector &ray_p0, const dgVector &ray_p1, const dgVector &ray_q0, const dgVector &ray_q1, dgVector &pOut, dgVector &qOut)
dgVector | dgPointToTriangleDistance (const dgVector &point, const dgVector &p0, const dgVector &p1, const dgVector &p2, const dgVector &normal)
dgBigVector | dgPointToTriangleDistance (const dgBigVector &point, const dgBigVector &p0, const dgBigVector &p1, const dgBigVector &p2, const dgBigVector &normal)
dgFloat32 | dgSweepLineToPolygonTimeOfImpact (const dgVector &p0, const dgVector &p1, dgFloat32 radius, dgInt32 count, const dgVector *const polygon, const dgVector &normal, dgVector &normalOut, dgVector &contactOut)
dgFloat32 | dgRayCastSphere (const dgVector &p0, const dgVector &p1, const dgVector &origin, dgFloat32 radius)
dgFloat32 | dgRayCastBox (const dgVector &p0, const dgVector &p1, const dgVector &boxP0, const dgVector &boxP1, dgVector &normalOut)

## Macro Definition Documentation

## § DG_RAY_TOL_ADAPTIVE_ERROR

#define DG_RAY_TOL_ADAPTIVE_ERROR (dgFloat32 (1.0e-1f))

## § DG_RAY_TOL_ERROR

#define DG_RAY_TOL_ERROR (dgFloat32 (-1.0e-3f))

## § USE_FLOAT_VERSION

#define USE_FLOAT_VERSION

## Function Documentation

## § dgPointToRayDistance()

dgVector dgApi dgPointToRayDistance | ( | const dgVector & | point,
|  | const dgVector & | ray_p0,
|  | const dgVector & | ray_p1
| ) |  |

## § dgPointToTriangleDistance() [1/2]

dgVector dgPointToTriangleDistance | ( | const dgVector & | point,
|  | const dgVector & | p0,
|  | const dgVector & | p1,
|  | const dgVector & | p2,
|  | const dgVector & | normal
| ) |  |

## § dgPointToTriangleDistance() [2/2]

dgBigVector dgPointToTriangleDistance | ( | const dgBigVector & | point,
|  | const dgBigVector & | p0,
|  | const dgBigVector & | p1,
|  | const dgBigVector & | p2,
|  | const dgBigVector & | normal
| ) |  |

## § dgRayBoxClip()

bool dgApi dgRayBoxClip | ( | dgVector & | p0,
|  | dgVector & | p1,
|  | const dgVector & | boxP0,
|  | const dgVector & | boxP1
| ) |  |

## § dgRayCastBox()

dgFloat32 dgRayCastBox | ( | const dgVector & | p0,
|  | const dgVector & | p1,
|  | const dgVector & | boxP0,
|  | const dgVector & | boxP1,
|  | dgVector & | normalOut
| ) |  |

## § dgRayCastSphere()

dgFloat32 dgRayCastSphere | ( | const dgVector & | p0,
|  | const dgVector & | p1,
|  | const dgVector & | origin,
|  | dgFloat32 | radius
| ) |  |

## § dgRayToRayDistance()

void dgApi dgRayToRayDistance | ( | const dgVector & | ray_p0,
|  | const dgVector & | ray_p1,
|  | const dgVector & | ray_q0,
|  | const dgVector & | ray_q1,
|  | dgVector & | pOut,
|  | dgVector & | qOut
| ) |  |

## § dgSweepLineToPolygonTimeOfImpact()

dgFloat32 dgSweepLineToPolygonTimeOfImpact | ( | const dgVector & | p0,
|  | const dgVector & | p1,
|  | dgFloat32 | radius,
|  | dgInt32 | count,
|  | const dgVector *const | polygon,
|  | const dgVector & | normal,
|  | dgVector & | normalOut,
|  | dgVector & | contactOut
| ) |  |